/*
    使用プログラム
    SHIRE020Search.asp     仕入照会画面
    SHIRE020Detail.asp     仕入照会詳細画面
*/

/********************両画面使用********************/
/* なし */

/********************検索画面使用********************/
/* ヘッダエリア
----------------------------------------------------------*/
.SHIRE020-tbl-search_head {
    width: 1260px;
}

.SHIRE020-tbl-search_head_col1 {
    width: 110px;
}
.SHIRE020-tbl-search_head_col2 {
    width: 310px;
}
.SHIRE020-tbl-search_head_col3 {
    width: 110px;
}
.SHIRE020-tbl-search_head_col4 {
    width: 511px;
}
.SHIRE020-tbl-search_head_col5 {
    width: 110px;
}
.SHIRE020-tbl-search_head_col6 {
    width: 310px;
}

/* ボタンエリア
----------------------------------------------------------*/
.SHIRE020-div-header-btn-area {
    width: 1470px;
}

/* 明細エリア
----------------------------------------------------------*/
.result-area {
    overflow: scroll;
    width: 1383px;
    overflow-x: scroll;
    overflow-y: hidden;
}

.SHIRE020-tbl-search {
    width: 1540px;
    margin-bottom: 0;
}

/* No */
.SHIRE020-tbl-search_col1 {
    width: 42px;
}
/* 仕入番号 */
.SHIRE020-tbl-search_col2 {
    width: 90px;
}
/* 相手伝票NO */
.SHIRE020-tbl-search_col_denpyo_no {
    width: 90px;
}
/* 伝票区分 */
.SHIRE020-tbl-search_col3 {
    width: 90px;
}
/* 仕入日 */
.SHIRE020-tbl-search_col4 {
    width: 90px;
}
/* 入荷日 */
.SHIRE020-tbl-search_col5 {
    width: 90px;
}
/* 締日 */
.SHIRE020-tbl-search_col6 {
    width: 90px;
}
/* 倉庫コード */
.SHIRE020-tbl-search_col7 {
    width: 45px;
}
/* 倉庫名 */
.SHIRE020-tbl-search_col8 {
    width: 200px;
}
/* 部門コード */
.SHIRE020-tbl-search_col_bumon_cd {
    width: 80px;
}
/* 部門名 */
.SHIRE020-tbl-search_col_bumon_nm {
    width: 200px;
}
/* 仕入先コード */
.SHIRE020-tbl-search_col9 {
    width: 75px;
}
/* 仕入先名(略) */
.SHIRE020-tbl-search_col10 {
    width: 200px;
}
/* 担当者コード */
.SHIRE020-tbl-search_col11 {
    width: 90px;
}
/* 担当者名(略) */
.SHIRE020-tbl-search_col12 {
    width: 120px;
}

/* 右寄せ */
.SHIRE020-tbl-search tbody tr td:nth-of-type(1){
    text-align: right;
}

/********************詳細画面使用********************/
/* ヘッダエリア
----------------------------------------------------------*/
.SHIRE020-tbl-detail_head {
    width: 1400px;
}

.SHIRE020-tbl-detail_head_col1 {
    width: 100px;
}
.SHIRE020-tbl-detail_head_col2 {
    width: 120px;
}
.SHIRE020-tbl-detail_head_col3 {
    width: 100px;
}
.SHIRE020-tbl-detail_head_col4 {
    width: 120px;
}
.SHIRE020-tbl-detail_head_col5 {
    width: 100px;
}
.SHIRE020-tbl-detail_head_col6 {
    width: 220px;
}
.SHIRE020-tbl-detail_head_col7 {
    width: 100px;
}
.SHIRE020-tbl-detail_head_col8 {
    width: 300px;
}

/* 明細エリア
----------------------------------------------------------*/
/*.SHIRE020-flex-tbl-detail {*/
/*    overflow-y: auto;*/
/*    overflow-x: auto;*/
/*    margin-top: 0px;*/
/*    width: 1400px;*/
/*    max-height: 500px;*/
/*}*/

.SHIRE020-tbl-detail {
    width: 1780px;
}

.visibility{
 visibility:hidden;
}

    /*選択されている行の背景色変更用*/
.SHIRE020-tbl-body_L tbody tr:nth-child(odd).tr-select-color,
.SHIRE020-tbl-body_L tbody tr:nth-child(even).tr-select-color,
.SHIRE020-tbl-body_R tbody tr:nth-child(odd).tr-select-color,
.SHIRE020-tbl-body_R tbody tr:nth-child(even).tr-select-color {
    background-color: #99d9ff;
}

/* ---------------------------------------------------------- */
/* 明細ヘッダ部　*/
.SHIRE020-flex-tbl-head-area {
    display: -ms-flexbox;
    display: flex;
    display: -webkit-box;
    display: -webkit-flex;
    width: 100%;
    min-width: 1400px;
    -webkit-box-align: end;
    -ms-flex-align: end;
    align-items: flex-end;
}

/* 明細ヘッダ部 固定欄　*/
.SHIRE020-flex-tbl-head-L {
    overflow: hidden;
    width: 250px;
}
.SHIRE020-tbl-head_L {
    width: 250px;
    margin-bottom: 0px;
}
.SHIRE020-tbl-head_L thead tr th {
    /*height: 55px;*/
}

/* 明細ヘッダ部 横スクロール欄　*/
.SHIRE020-flex-tbl-head-R {
    overflow: hidden;
    width: 1100px;
    overflow-y: auto;
    overflow-x: hidden;
}
.SHIRE020-tbl-head_R {
    margin: 0;
    width: 1580px;
}

/* 明細データ部　*/
.SHIRE020-tbl-body-area {
    display: -ms-flexbox;
    display: flex;
    display: -webkit-box;
    display: -webkit-flex;
    width: 100%;
    min-width: 1400px;
}
/* 明細データ部 固定欄　*/
.SHIRE020-flex-tbl-body-L {
    overflow: hidden;
    margin-top: 0px;
    width: 250px;
    max-height: 230px;
}
.SHIRE020-tbl-body_L {
    margin-top: -1px;
    width: 250px;
}
.SHIRE020-tbl-body_L tbody tr.odd {
    background: #f4f6f6;
}
.SHIRE020-tbl-body_L tbody tr.even {
    background: #ffffff;
}
.SHIRE020-tbl-body_L tr td {
    padding-top: 0;
    padding-bottom: 0;
}
/* 明細データ部 横スクロール欄　*/
.SHIRE020-out-flex-tbl-body-R {
    overflow-y: scroll;
    width: 1117px;
    max-height: 250px;
}

.SHIRE020-flex-tbl-body-R {
     /*overflow-y: auto;*/
    overflow-x: hidden;
    margin-top: 0px;
    width: 1581px;
}
.SHIRE020-tbl-body_R {
    margin-top: -1px;
    width: 1580px;
    margin-bottom: 0;
}
.SHIRE020-tbl-body_R tr td {
    padding-top: 0;
    padding-bottom: 0;
}
.SHIRE020-tbl-body_R tbody tr.odd {
    background: #f4f6f6;
}
.SHIRE020-tbl-body_R tbody tr.even {
    background: #ffffff;
}
.SHIRE020-tbl-body_R tbody tr td:first-child {
    border-left: none;
}
.SHIRE020-tbl-body_R tbody tr td:last-child {
    display: none;
}

/* ロット情報 */
.flex-tbl-dtl-right{
    height: 136px;
    overflow-y: auto;
}

/* ---------------------------------------------------------- */
/* No */
.SHIRE020-tbl-detail_col1 {
    width: 50px;
}
/* 取引区分 */
.SHIRE020-tbl-detail_col2 {
    width: 80px;
}
/* 商品コード */
.SHIRE020-tbl-detail_col3 {
    width: 120px;
}
/* 商品名称 */
.SHIRE020-tbl-detail_col4 {
    width: 346px;
    /* width: 450px; */
}

/* 規格名称 */
.SHIRE020-tbl-detail_col5 {
    width: 110px;
}
/* 入数 */
.SHIRE020-tbl-detail_col6 {
    width: 80px;
}
/* 数量 */
.SHIRE020-tbl-detail_col7 {
    width: 100px;
}
/* 単位 */
.SHIRE020-tbl-detail_col8 {
    width: 50px;
}
/* 税区分 */
.SHIRE020-tbl-detail_col9 {
    width: 60px;
}
/* 税率 */
.SHIRE020-tbl-detail_col10 {
    width: 60px;
}
/* 単価 */
.SHIRE020-tbl-detail_col11 {
    width: 100px;
}
/* 金額 */
.SHIRE020-tbl-detail_col12 {
    width: 100px;
}
/* ロット種別 */
.SHIRE020-tbl-detail_col13 {
    width: 100px;
}
/* 行摘要  */
.SHIRE020-tbl-detail_col14 {
    width: 95px;
}

/* 枝番  */
.SHIRE020-tbl-d_col1 {
    width: 50px;
}
/* ロットNo */
.SHIRE020-tbl-d_col2 {
    width: 90px;
}
/* 賞味期限 */
.SHIRE020-tbl-d_col3 {
    width: 100px;
}
/* 個体識別番号 */
.SHIRE020-tbl-d_col4 {
    width: 100px;
}
/* 製造日  */
.SHIRE020-tbl-d_col5 {
    width: 100px;
}

/* 製造番号 */
.SHIRE020-tbl-d_col6 {
    width: 100px;
}
/* 数量  */
.SHIRE020-tbl-d_col7 {
    width: 80px;
}



/* 中央寄せ */
.lbl-center {
    text-align: center;
}

.SHIRE020-tbl-body_L tbody .SHIRE020-tbl-detail-tr-odd:nth-child(n) {
    background-color: #f4f6f6;
}

.SHIRE020-tbl-body_L tbody .SHIRE020-tbl-detail-tr-even:nth-child(n) {
    background-color: #ffffff;
}

.SHIRE020-tbl-body_R tbody .SHIRE020-tbl-detail-tr-odd:nth-child(n) {
    background-color: #f4f6f6;
}

.SHIRE020-tbl-body_R tbody .SHIRE020-tbl-detail-tr-even:nth-child(n) {
    background-color: #ffffff;
}

.SHIRE020-tbl-detail_head tr:nth-of-type(5) td:nth-of-type(4),
.SHIRE020-tbl-detail_head tr:nth-of-type(6) td:nth-of-type(2) {
    background: #fafafa;
    border-bottom: 1px solid #fafafa;
    border-right: 1px solid #fafafa;
    text-align: left;
}

/*.SHIRE020-tbl-detail-tr-odd {*/
/*    background-color: #f4f6f6;*/
/*}*/

/*.SHIRE020-tbl-detail-tr-even {*/
/*    background-color: #ffffff;*/
/*}*/